Will Symantec AntiVirus (SAV) for Linux work with my kernel version of Linux?

Article:TECH132704  |  Created: 2010-01-25  |  Updated: 2013-03-07  |  Article URL http://www.symantec.com/docs/TECH132704
Article Type
Technical Solution


Issue



You are running a Linux kernel version which is not listed in the system requirements for SAV for Linux (SAVFL). You would like to know if SAVFL will work with your kernel version.



 


Solution



SAV for Linux ships with a large number of kernel modules for many distributions of Linux. The modules were tested with the specific versions of Linux that are listed in the system requirements, but they will work with other versions as long as the kernel symbols are compatible. See the documents linked below for current system requirements.

At system bootup time, SAV for Linux detects the distribution of Linux that is running and assembles a list of kernel module candidates. Using a "fuzzy match" algorithm, it will go through the list of candidates, one at a time, until it finds one that can be loaded by the Linux OS. If none of the candidates can be loaded into the kernel, SAV for Linux will write an error message to the console and log the error to the system message log (usually /var/log/messages or /var/log/syslog).

There are hundreds of Linux distributions and versions around the world, and it is not possible for Symantec to officially support all of them. If you discover that none of the modules can be loaded into your kernel, you can try to compile and install a new module. Symantec provides source code and library files as part of the product. You will need the source code for your kernel as well. For detailed instructions, see the README file provided in the ap-kernelmodule tar file.



 




Legacy ID



2010052514055548


Article URL http://www.symantec.com/docs/TECH132704


Terms of use for this information are found in Legal Notices